Subject: [OAUTH-WG] OAUTH use cases

From: "Zeltsan, Zachary (Zachary)" <[email-masked]>
Date: Fri, 2 Apr 2010 11:23:52 -0500

At the Anaheim meeting I volunteered to document the use cases of OAuth.  The objective is to identify the use cases as a base for establishing the requirements that the OAuth specifications should meet.
As a first step, I have compiled a list of the use cases that I have found in the drafts and in the OAUTH-WG email archive.
At this point, the list does not reflect any decisions on whether a particular use case should be supported or not. My intention was to identify the use cases that have been discussed. It is likely that I have missed some, therefore I ask for your input on the additional use cases.

The use cases in the attached document are unedited and often abbreviated.

Your feedback is welcome,

Zachary